# $Revision: 1.57 $, $Date: 2010/04/12 19:26:07 $
#
# Conditional build:
%bcond_with	jack		# with JACK audio support
#
Summary:	KPhone - SIP user agent
Summary(pl.UTF-8):	KPhone - Klient SIP
Name:		kphone
Version:	4.2
Release:	5
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.wirlab.net/kphone/%{name}-%{version}.tar.gz
# Source0-md5:	632abebc16d4f40bf03d191892e00e22
Source1:	%{name}.desktop
Patch0:		%{name}-opt.patch
Patch1:		%{name}-gcc4.patch
URL:		http://www.wirlab.net/kphone/index.html
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	libpng-devel
BuildRequires:	openssl-devel
BuildRequires:	qt-devel >= 6:3.0
BuildRequires:	qt-linguist
# TODO: check which are required, kill the rest from configure
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
Obsoletes:	kphone-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. The new 2.0 version also supports Presence and Instant
Messaging.

%description -l pl.UTF-8
KPhone jest klientem SIP (Session Initiation Protocol) dla Linuksa,
który umożliwia inicjowanie połączeń VoIP (Głos po IP) poprzez sieć
internet. Od wersji 2.0 działa z Presence i Instant Messaging.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
QTDIR="%{_libdir}"; export QTDIR
%configure \
	--enable-jack=%{?with_jack:yes}%{!?with_jack:no}
%{__make} \
	SHARE_DIR=%{_datadir}/kphone

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/kphone/{icons,translations}

install kphone/kphone $RPM_BUILD_ROOT%{_bindir}
install icons/*.png $RPM_BUILD_ROOT%{_datadir}/kphone/icons
install po/*.qm $RPM_BUILD_ROOT%{_datadir}/kphone/translations

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install -D icons/large-kphone.png $RPM_BUILD_ROOT%{_pixmapsdir}/kphone.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/kphone
%{_datadir}/kphone/icons
%dir %{_datadir}/kphone
%dir %{_datadir}/kphone/translations
%lang(de) %{_datadir}/kphone/translations/kphone_de.qm
%lang(es) %{_datadir}/kphone/translations/kphone_es_ES.qm
%lang(fi) %{_datadir}/kphone/translations/kphone_fi.qm
%lang(fr) %{_datadir}/kphone/translations/kphone_fr.qm
%lang(hu) %{_datadir}/kphone/translations/kphone_hu.qm
%lang(pl) %{_datadir}/kphone/translations/kphone_pl_PL.qm
%lang(pt_BR) %{_datadir}/kphone/translations/kphone_pt_BR.qm
%lang(sv) %{_datadir}/kphone/translations/kphone_sv.qm
%{_desktopdir}/kphone.desktop
%{_pixmapsdir}/kphone.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kphone.spec,v $
Revision 1.57  2010/04/12 19:26:07  arekm
- release 5

Revision 1.56  2008/07/27 23:00:05  arekm
- release 4

Revision 1.55  2007-04-09 01:27:42  shadzik
mass attack: qt-devel epoch

Revision 1.54  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.52  2006/10/07 12:06:39  qboosh
- BR: all used xorg libs, need checking

Revision 1.51  2006/09/14 13:53:25  wiget
- added gcc4 fixes, xorg deps, rel. 3

Revision 1.50  2005/12/02 11:54:40  charles
- bcond header

Revision 1.49  2005/12/02 11:48:53  charles
- added SHARE_DIR flag (fix icons location)

Revision 1.48  2005/11/21 14:56:17  blues
- cosmetics

Revision 1.47  2005/07/26 22:51:06  zawadaa
- up to 4.2

Revision 1.46  2005/06/11 23:47:14  undefine
- missing dir

Revision 1.45  2005/05/03 22:41:10  qboosh
- just lang(es)

Revision 1.44  2005/05/03 22:29:08  zawadaa
- up to 4.1.1
- add BR qt-linguist

Revision 1.43  2005/02/26 09:34:48  arekm
- rel 2 (builders tagged rel 1 already); STBR

Revision 1.42  2005/02/25 23:52:58  arekm
- one more try

Revision 1.41  2005/02/25 23:44:15  arekm
- try to make it working on amd64

Revision 1.40  2005/01/23 17:46:15  charles
- fix install dirs

Revision 1.39  2005/01/03 21:55:30  charles
- rel. 1 (tested, however only athlon)
- STBR ac-ready

Revision 1.38  2005/01/03 18:43:28  charles
- update to 4.1.0
- BR alsa-lib-devel
- bcond_with jack-audio-connection-kit
- add lang files
- "manual" install (unable to make it install to DESTDIR, etc.)

Revision 1.37  2004/11/11 10:24:51  zagrodzki
- fixed translation installation

Revision 1.36  2004/11/11 10:15:28  zagrodzki
- updated to 4.0.5

Revision 1.35  2004/09/17 18:19:58  zagrodzki
- rel 2
- added patch1

Revision 1.34  2004/07/20 12:53:12  qboosh
- updated BRs (not it's just qt app), added old desktop, install icon
- release 1

Revision 1.33  2004/05/30 12:36:50  qboosh
- added opt patch, fixed build on amd64, Obsoletes: kphone-devel, release 0.2

Revision 1.32  2004/05/30 04:15:35  ankry
- spaces -> tabs

Revision 1.31  2004/05/29 15:46:56  arekm
- updated to 4.0.2

Revision 1.30  2004/05/12 19:05:26  qboosh
- reverted Ra-specific things, strict internal deps

Revision 1.29  2004/05/09 14:28:09  blues
- 4.0.2

Revision 1.28  2004/03/25 15:59:24  matkor
- Version 4.0.1-0.1. Unable to make it install to DESTDIR. :/

Revision 1.27  2004/03/19 23:46:28  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.26  2004/01/20 22:55:39  matkor
- Version 4.0-0.1. NFY. Builds, fails install. ac/am fix needed ?

Revision 1.25  2003/12/09 15:43:18  qboosh
- fixed -devel Group, -devel R: base
- BR: artsc-devel

Revision 1.24  2003/11/27 11:32:22  matkor
- Release 3. Ac rebuild with qt-mt.

Revision 1.23  2003/11/25 21:19:33  qboosh
- fixed build with qt-mt, cleanups

Revision 1.22  2003/11/25 16:03:14  matkor
- Release 2. BR qt-st-devel.

Revision 1.21  2003/11/25 08:53:54  zagrodzki
- updated to 3.14

Revision 1.20  2003/11/10 16:02:17  matkor
- Version 3.13. Release 5.1. Fails on configure, I don't know how to fix it:  configure: error: Qt (>= Qt 2.2.2) (libraries) not found.

Revision 1.19  2003/09/30 20:36:07  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.18  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.17  2003/09/12 22:24:16  blues
- watch out! there is release 1 on RA-branch -> release 2 on HEAD

Revision 1.16  2003/09/10 17:26:15  matkor
- Version 3.12. Not tested.

Revision 1.15  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.13  2003/07/19 12:15:26  blues
- cosmetics

Revision 1.12  2003/06/23 09:10:44  zagrodzki
- updated to 3.11

Revision 1.11  2003/05/28 12:59:22  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/20 14:11:03  matkor
- Version 3.1.

Revision 1.8  2003/03/20 00:25:40  matkor
- Builds. NFY, needs at least files fixes.

Revision 1.7  2003/02/21 15:28:57  qboosh
- fixed applnkdir and pixmapsdir, added missing dirs

Revision 1.6  2003/02/19 13:34:27  migo
- spelling fixes

Revision 1.5  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.4  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.3  2003/01/07 23:55:13  matkor
- Version 2.11

Revision 1.2  2002/12/15 18:05:04  blues
- release 1 - works fine. Added devel package, used sonfigure macro,
  removed all not needed sorcery.

Revision 1.1  2002/12/14 19:44:53  matkor
- SIP client for KDE. Unfortunetly segfaults on start ;)
